package etats;

import java.util.LinkedList;

public class Main {

	/**
	 * @author S.Lombardy
	 * @param args
	 * @throws AngryException 
	 */
	public static void main(String[] args) throws AngryException
	{
		TravailleurGradue t= TravailleurGradue.getTravailleur();
		LinkedList<Requete> liste=new LinkedList<Requete>();
		for(int i=0;i<30;i++){
			if(i%3==2)
				liste.add(Requete.REPOS);
			else
				liste.add(Requete.TRAVAIL);
			liste.add(Requete.NOUVELLES);
		}
		for(Requete r : liste){
			System.out.println(r);
			t=r.action(t);
		}
	}
}
